Bug 989853 - Review Request: opencfu - An application to count bacterial colonies and other circular objects
Summary: Review Request: opencfu - An application to count bacterial colonies and othe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-30 04:50 UTC by Christopher Meng
Modified: 2014-06-24 22:07 UTC (History)
2 users (show)

Fixed In Version: opencfu-3.8.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-18 21:31:53 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2013-07-30 04:50:42 UTC
Spec URL: http://cicku.me/opencfu.spec
SRPM URL: http://cicku.me/opencfu-3.8.8-1.fc20.src.rpm
Description: OpenCFU is a completely open source lightweight application designed to 
enumerate clustered circular objects such as bacterial colonies. It can 
handle digital pictures as well as live stream from a video device/webcam. 
OpenCFU is cross-platform, fast, reliable and allows the user to implement 
intuitive filters.

OpenCFU is published on PLoS ONE:
http://www.plosone.org/article/info%3Adoi%2F10.1371%2Fjournal.pone.0054072

Fedora Account System Username: cicku

Comment 1 Antonio T. (sagitter) 2013-07-30 14:57:38 UTC
I'm looking for review this package.

Comment 2 Antonio T. (sagitter) 2013-07-31 15:54:37 UTC
> ./configure: line 2153: ACLOCAL_AMFLAGS: command not found
> ...
> /builddir/build/BUILD/opencfu-3.8.8/build-aux/missing: 
> Unknown `--is-lightweight' option
> Try `/builddir/build/BUILD/opencfu-3.8.8/build-aux/missing --help' 
> for more information
> configure: WARNING: 'missing' script is too old or missing

Have you already analyzed these warnings ?

- These errors
 
> libdc1394 error: Failed to initialize libdc1394

can be avoided by adding 'libdc1394-devel' as BR package

Description : Libdc1394 is a library that is intended to provide a high level programming
            : interface for application developers who wish to control IEEE 1394 based
            : cameras that conform to the 1394-based Digital Camera Specification.

- .desktop file is not validated. Please add a line for this work.
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

- Source archive contains also code released with GPLv3+ license:

GPL (v3 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/opencfu-3.8.8/src/classifier/main.cpp
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/opencfu-3.8.8/src/main.cpp

Comment 3 Christopher Meng 2013-08-01 02:25:20 UTC
(In reply to Antonio Trande from comment #2)
> > ./configure: line 2153: ACLOCAL_AMFLAGS: command not found
> > ...
> > /builddir/build/BUILD/opencfu-3.8.8/build-aux/missing: 
> > Unknown `--is-lightweight' option
> > Try `/builddir/build/BUILD/opencfu-3.8.8/build-aux/missing --help' 
> > for more information
> > configure: WARNING: 'missing' script is too old or missing
> 
> Have you already analyzed these warnings ?

Of course, feedback sent to upstream already, waiting for his response.

> - These errors
>  
> > libdc1394 error: Failed to initialize libdc1394

Sorry, I've installed 80% libs on my laptop, and I seldom use mock...

I found something like this:

./trainer t data/trainedClassifier.xml
./trainer t data/trainedClassifierPS.xml ps
libdc1394 error: Failed to initialize libdc1394
~~~~~~~~~~~~~~TRAINING PREDICTOR~~~~~~~~~~~~~
 
libdc1394 error: Failed to initialize libdc1394
~~~~~~~~~~~~~~TRAINING PREDICTOR~~~~~~~~~~~~~
 
~~~~~~~~~~~~~~PREDICTOR TRAINED~~~~~~~~~~~~~
 
./trainer w data/trainedClassifierPS.xml ps
libdc1394 error: Failed to initialize libdc1394
~~~~~~~~~~~~~~ASSESSING ACCURACY OF THE PREDICTOR~~~~~~~~~~~~~
 
ACCURACY = 0.99955
TRAINNING CLASS BALANCE:
N(class ==N) 992
N(class ==S) 1232
N(class ==M) 0
Confusion Matrix = 
 REAL(top) -> PRED(left) 
100.00000000, 0.08116883, 0.00000000
  0.00000000, 99.91883087, 0.00000000
  0.00000000, 0.00000000, 0.00000000
~~~~~~~~~~~~~~PREDICTOR TRAINED~~~~~~~~~~~~~
 
./trainer w data/trainedClassifier.xml
libdc1394 error: Failed to initialize libdc1394
~~~~~~~~~~~~~~ASSESSING ACCURACY OF THE PREDICTOR~~~~~~~~~~~~~


Because libdc1394 is installed on my system(not -devel), so I don't see the warnings here.

And because the author has instructions of how to build it on Fedora, he didn't mention libdc1394, I'm not sure, just sent an email now.

But scratch build has some weird things:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5687058

As you can see, after adding BR, still have the warning, but on real environment nothing here.

> - .desktop file is not validated. Please add a line for this work.
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Oh...Error found, dirty fixed. I'll notify upstream.

> - Source archive contains also code released with GPLv3+ license:
> 
> GPL (v3 or later)
> -----------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/opencfu-3.8.8/
> src/classifier/main.cpp
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/opencfu-3.8.8/
> src/main.cpp

Fixed.

Spec URL: http://cicku.me/opencfu.spec
SRPM URL: http://cicku.me/opencfu-3.8.8-2.fc20.src.rpm

Comment 4 Christopher Meng 2013-08-06 05:50:25 UTC
Hi Antonio,

libdc1394 issue is an opencv issue like the author said, at the current time, libdc1394 should *not* be a dep because it is not needed by the program. This maybe caused by installing an OpenCV version that is compiled with libdc1394 support, but the lib is not a dependency for opencv. In this case, it should be a dep for opencv.

Upstream just released new version to fix the configure warning, desktop error:


Spec URL: http://cicku.me/opencfu.spec
SRPM URL: http://cicku.me/opencfu-3.8.9-1.fc20.src.rpm

Comment 5 Antonio T. (sagitter) 2013-08-07 15:54:37 UTC
(In reply to Christopher Meng from comment #4)
> Hi Antonio,

Hi.

> 
> libdc1394 issue is an opencv issue like the author said, at the current
> time, libdc1394 should *not* be a dep because it is not needed by the
> program. This maybe caused by installing an OpenCV version that is compiled
> with libdc1394 support, but the lib is not a dependency for opencv. In this
> case, it should be a dep for opencv.

You should contact opencv maintainer or open a bugzilla report.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in opencfu
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: opencfu (description)
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 96 files have unknown
     license. Detailed output of licensecheck in
     /home/sagitter/989853-opencfu/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in opencfu
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 5 files.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.

Package building needs desktop-file-utils package. Please, add it as BuildRequires package.

[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

desktop-file-validate command is in desktop-file-utils package; it's missing.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: opencfu-3.8.9-1.fc20.x86_64.rpm
opencfu.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
opencfu.x86_64: W: no-manual-page-for-binary opencfu
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint opencfu
opencfu.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
opencfu.x86_64: E: description-line-too-long C OpenCFU is a completely open source lightweight application designed to enumerate clustered circular objects such as bacterial colonies. It can handle digital pictures as well as live stream from a video device/webcam. OpenCFU is cross-platform, fast, reliable and allows the user to implement intuitive filters.
opencfu.x86_64: W: no-manual-page-for-binary opencfu
opencfu.x86_64: E: invalid-desktopfile /usr/share/applications/opencfu.desktop value "3.8.8" for key "Version" in group "Desktop Entry" is not a known version
1 packages and 0 specfiles checked; 2 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
opencfu (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkmm-2.4.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtkmm-2.4.so.1()(64bit)
    libm.so.6()(64bit)
    libopencv_calib3d.so.2.4()(64bit)
    libopencv_contrib.so.2.4()(64bit)
    libopencv_core.so.2.4()(64bit)
    libopencv_features2d.so.2.4()(64bit)
    libopencv_flann.so.2.4()(64bit)
    libopencv_highgui.so.2.4()(64bit)
    libopencv_imgproc.so.2.4()(64bit)
    libopencv_legacy.so.2.4()(64bit)
    libopencv_ml.so.2.4()(64bit)
    libopencv_objdetect.so.2.4()(64bit)
    libopencv_photo.so.2.4()(64bit)
    libopencv_stitching.so.2.4()(64bit)
    libopencv_superres.so.2.4()(64bit)
    libopencv_ts.so.2.4()(64bit)
    libopencv_video.so.2.4()(64bit)
    libopencv_videostab.so.2.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangomm-1.4.so.1()(64bit)
    libpthread.so.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)



Provides
--------
opencfu:
    opencfu
    opencfu(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/project/opencfu/linux/opencfu-3.8.9.tar.gz :
  CHECKSUM(SHA256) this package     : 8d54956142d03bacd27297053523b4e783ea870f5c8a51641b8b4a4cf12c2d3c
  CHECKSUM(SHA256) upstream package : 8d54956142d03bacd27297053523b4e783ea870f5c8a51641b8b4a4cf12c2d3c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 989853

Comment 6 Christopher Meng 2013-08-08 00:05:40 UTC
Oh, forgot....

Spec URL: http://cicku.me/opencfu.spec
SRPM URL: http://cicku.me/opencfu-3.8.9-2.fc20.src.rpm

Comment 7 Antonio T. (sagitter) 2013-08-08 16:33:48 UTC
Package approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in opencfu
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: opencfu (description)
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 96 files have unknown
     license. Detailed output of licensecheck in
     /home/sagitter/rpmbuild/SRPMS/989853-opencfu/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in opencfu
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: opencfu-3.8.9-2.fc20.i686.rpm
opencfu.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
opencfu.i686: W: no-manual-page-for-binary opencfu
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint opencfu
opencfu.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
opencfu.i686: W: no-manual-page-for-binary opencfu
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
opencfu (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0
    libatkmm-1.6.so.1
    libc.so.6
    libcairo.so.2
    libcairomm-1.0.so.1
    libfontconfig.so.1
    libfreetype.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgdkmm-2.4.so.1
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgomp.so.1
    libgomp.so.1(GOMP_1.0)
    libgomp.so.1(GOMP_2.0)
    libgomp.so.1(OMP_1.0)
    libgthread-2.0.so.0
    libgtk-x11-2.0.so.0
    libgtkmm-2.4.so.1
    libm.so.6
    libopencv_calib3d.so.2.4
    libopencv_contrib.so.2.4
    libopencv_core.so.2.4
    libopencv_features2d.so.2.4
    libopencv_flann.so.2.4
    libopencv_highgui.so.2.4
    libopencv_imgproc.so.2.4
    libopencv_legacy.so.2.4
    libopencv_ml.so.2.4
    libopencv_objdetect.so.2.4
    libopencv_photo.so.2.4
    libopencv_stitching.so.2.4
    libopencv_superres.so.2.4
    libopencv_ts.so.2.4
    libopencv_video.so.2.4
    libopencv_videostab.so.2.4
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libpangomm-1.4.so.1
    libpthread.so.0
    libsigc-2.0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    rtld(GNU_HASH)



Provides
--------
opencfu:
    opencfu
    opencfu(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/project/opencfu/linux/opencfu-3.8.9.tar.gz :
  CHECKSUM(SHA256) this package     : 8d54956142d03bacd27297053523b4e783ea870f5c8a51641b8b4a4cf12c2d3c
  CHECKSUM(SHA256) upstream package : 8d54956142d03bacd27297053523b4e783ea870f5c8a51641b8b4a4cf12c2d3c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 989853

Comment 8 Christopher Meng 2013-08-09 00:15:13 UTC
Thanks, I'm the opencv maintainer, I'll handle this later.

New Package SCM Request
=======================
Package Name: opencfu
Short Description: An application to count bacterial colonies and other circular objects
Owners: cicku
Branches: f19 f18
InitialCC:

Comment 9 Gwyn Ciesla 2013-08-09 12:42:20 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-08-10 00:21:00 UTC
opencfu-3.8.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/opencfu-3.8.10-1.fc19

Comment 11 Fedora Update System 2013-08-10 00:21:40 UTC
opencfu-3.8.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/opencfu-3.8.10-1.fc18

Comment 12 Fedora Update System 2013-08-10 20:06:14 UTC
opencfu-3.8.10-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-08-18 21:31:53 UTC
opencfu-3.8.10-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-08-18 21:38:15 UTC
opencfu-3.8.10-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.